Create embeddings
curl --request POST \
--url https://api.novita.ai/openai/v1/embeddings \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"input": {},
"model": {},
"encoding_format": "<string>"
}
'import requests
url = "https://api.novita.ai/openai/v1/embeddings"
payload = {
"input": {},
"model": {},
"encoding_format": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({input: {}, model: {}, encoding_format: '<string>'})
};
fetch('https://api.novita.ai/openai/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"data": [
{
"index": 123,
"embedding": [
123
],
"object": "<string>"
}
],
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}LLM API
Create embeddings
POST
/
openai
/
v1
/
embeddings
Create embeddings
Creates an embedding vector representing the input text.
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string | arrary
required
Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for text-embedding-ada-002), cannot be an empty string, and any array must be 2048 dimensions or less.
enum<string>
required
ID of the model to use. Enum:
baai/bge-m3.string
The format to return the embeddings in. Can be either float or base64.
Response
string
required
Fixed as list
object[]
required
string
required
The ID of the model used.
Last modified on July 3, 2026
Was this page helpful?
⌘I